#include <bits/stdc++.h>
#define taskname "xaumax"

using namespace std;
const long long maxn = 1e5 + 1;
long long n=1,k,f=0;
string p,m;
char a[100000];
bool check(char a)
{
    return '0'<=a&&a<='9';
}
int main()
{

     freopen(taskname".INP", "r", stdin);
    freopen(taskname".OUT", "w", stdout);
    cin >>p;
    cin >> k;
    int ahihi=1;
    for (int i=0;i<p.size();i++)
    {
        if (check(p[i]))
        {
            a[f]=p[i];
            f++;
        }
        else k--;
    }
    m.resize(f);m[0]= a[0];

    for(int i=1; i<f; i++)
    {
        while(k>0 && ahihi>0 &&  m[ahihi-1] < a[i])
        {
            k--;
            ahihi--;

        }
        m[ahihi] =a[i];
        ahihi++;
    }
    for(int i=0; i<f-k; i++)
        cout << m[i];

}

